Documentation Index
Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt
Use this file to discover all available pages before exploring further.
API to get list of invoices
GET https://services.leadconnectorhq.com/invoices/
Autorizacion
Bearer token generado desde el portal Leadway. Ver Autenticacion.
Version
string
default:"2021-07-28"
required
Version de la API.
Query parameters
altId
string
default:"6578278e879ad2646715ba9c"
required
account Id / company Id based on altType
altType
string
default:"account"
required
Alt Type
startAt
string
default:"2023-01-01"
startAt in YYYY-MM-DD format
endAt
string
default:"2023-01-01"
endAt in YYYY-MM-DD format
To search for an invoice by id / name / email / phoneNo
contactId
string
default:"AmuzcoPBpgKeccNsFlib"
Contact ID for the invoice
limit
string
default:"10"
required
Limit the number of items to return
offset
string
default:"10"
required
Number of items to skip
sortField
string
default:"issueDate"
The field on which sorting should be applied
The order of sort which should be applied for the sortField
Respuestas
200 - Successful response
_id
string
default:"6578278e879ad2646715ba9c"
required
Invoice Id
status
string
default:"draft"
required
Invoice Status Posibles valores: ‘draft’, ‘sent’, ‘payment_processing’, ‘paid’, ‘void’, ‘partially_paid’
liveMode
boolean
default:"False"
required
Live Mode
amountPaid
number
default:"0"
required
Amount Paid
altId
string
default:"6578278e879ad2646715ba9c"
required
Account Id or Agency Id
Posibles valores: ‘account’
name
string
default:"New Invoice"
required
Name of the invoice
invoiceNumber
number
default:"19"
required
Invoice Number
currency
string
default:"USD"
required
Currency
issueDate
string
default:"2023-01-01"
required
Issue date in YYYY-MM-DD format
dueDate
string
default:"2023-01-01"
required
Due date in YYYY-MM-DD format
total
number
default:"999"
required
Total Amount
title
string
default:"INVOICE"
required
Title
amountDue
number
default:"999"
required
Total Amount Due
createdAt
string
default:"2023-12-12T09:27:42.355Z"
required
created at
updatedAt
string
default:"2023-12-12T09:27:42.355Z"
required
updated at
Automatic taxes enabled for the Invoice
Is Automatic taxes calculated for the Invoice items
split invoice into payment schedule summing up to full invoice amount
subTotal
number
default:"999"
required
subTotal
discount
number
default:"0"
required
discount
tax
number
default:"0"
required
tax
total
number
default:"100"
required
Total number of invoices
{
"invoices": [
{
"_id": "6578278e879ad2646715ba9c",
"status": "draft",
"liveMode": false,
"amountPaid": 0,
"altId": "6578278e879ad2646715ba9c",
"altType": "account",
"name": "New Invoice",
"businessDetails": {
"name": "Alex",
"address": {
"addressLine1": "9931 Beechwood",
"city": "St. Houston",
"state": "TX",
"countryCode": "USA",
"postalCode": "559-6993"
},
"phoneNo": "+1-214-559-6993",
"website": "www.example.com"
},
"invoiceNumber": "19",
"currency": "USD",
"contactDetails": {
"id": "c6tZZU0rJBf30ZXx9Gli",
"phoneNo": "+1-214-559-6993",
"email": "alex@example.com",
"customFields": [],
"name": "Alex",
"address": {
"countryCode": "US"
}
},
"issueDate": "2023-01-01",
"dueDate": "2023-01-01",
"discount": {
"type": "percentage",
"value": 0
// truncado: 30 lineas mas
}
422 - Unprocessable Entity
Ejemplo
curl -X GET 'https://services.leadconnectorhq.com/invoices/' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'